package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class StorageSyncedSetModel {
    private String storageUuid; // 所属存储uuid
    private String storageKeyPath; // 所属存储keyPath
    private String syncedSetUuid; // uuid
    private String copyType; // 类型
    private String name; // 名称
    private String status; // 状态
    private String operation; // 操作类型
    private Boolean force; // 是否强制删除
    private String flashCopyUuid; // 要操作的FlashCopy的uuid
    private String flashCopyKeyPath; // 要操作的FlashCopy的keyPath
    private String flashCopyName; // 要操作的FlashCopy名称
    private String keyPath; // smis用来传参
    private String actionStatus;
    private Long blockVolumeGroupSnapshotNum; // 一致性组关联的快照组数量
    private Long blockVolumeNum; // 一致性组关联的卷数量
    private String description;
    private Double progress;
    private Boolean flattened;
    private String blockVolumeGroupSnapshotUuid; //一致性组关联的快照组uuid
    private String blockVolumeGroupSnapshotName; //一致性组关联的快照组uuid
    private Date latestSnapshotTime; // 最近快照时间
    private Date createTime;
    private Date updateTime;
    private List<String> blockVolumeUuids;

    public String getStorageKeyPath() {
        return storageKeyPath;
    }

    public void setStorageKeyPath(String storageKeyPath) {
        this.storageKeyPath = storageKeyPath;
    }

    public String getFlashCopyKeyPath() {
        return flashCopyKeyPath;
    }

    public void setFlashCopyKeyPath(String flashCopyKeyPath) {
        this.flashCopyKeyPath = flashCopyKeyPath;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getStorageUuid() {
        return storageUuid;
    }

    public void setStorageUuid(String storageUuid) {
        this.storageUuid = storageUuid;
    }

    public String getSyncedSetUuid() {
        return syncedSetUuid;
    }

    public void setSyncedSetUuid(String syncedSetUuid) {
        this.syncedSetUuid = syncedSetUuid;
    }

    public String getCopyType() {
        return copyType;
    }

    public void setCopyType(String copyType) {
        this.copyType = copyType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Boolean getForce() {
        return force;
    }

    public void setForce(Boolean force) {
        this.force = force;
    }

    public String getFlashCopyUuid() {
        return flashCopyUuid;
    }

    public void setFlashCopyUuid(String flashCopyUuid) {
        this.flashCopyUuid = flashCopyUuid;
    }

    public String getFlashCopyName() {
        return flashCopyName;
    }

    public void setFlashCopyName(String flashCopyName) {
        this.flashCopyName = flashCopyName;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public Long getBlockVolumeGroupSnapshotNum() {
        return blockVolumeGroupSnapshotNum;
    }

    public void setBlockVolumeGroupSnapshotNum(Long blockVolumeGroupSnapshotNum) {
        this.blockVolumeGroupSnapshotNum = blockVolumeGroupSnapshotNum;
    }

    public Long getBlockVolumeNum() {
        return blockVolumeNum;
    }

    public void setBlockVolumeNum(Long blockVolumeNum) {
        this.blockVolumeNum = blockVolumeNum;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Double getProgress() {
        return progress;
    }

    public void setProgress(Double progress) {
        this.progress = progress;
    }

    public Boolean getFlattened() {
        return flattened;
    }

    public void setFlattened(Boolean flattened) {
        this.flattened = flattened;
    }

    public String getBlockVolumeGroupSnapshotUuid() {
        return blockVolumeGroupSnapshotUuid;
    }

    public void setBlockVolumeGroupSnapshotUuid(String blockVolumeGroupSnapshotUuid) {
        this.blockVolumeGroupSnapshotUuid = blockVolumeGroupSnapshotUuid;
    }

    public Date getLatestSnapshotTime() {
        return latestSnapshotTime;
    }

    public void setLatestSnapshotTime(Date latestSnapshotTime) {
        this.latestSnapshotTime = latestSnapshotTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<String> getBlockVolumeUuids() {
        return blockVolumeUuids;
    }

    public void setBlockVolumeUuids(List<String> blockVolumeUuids) {
        this.blockVolumeUuids = blockVolumeUuids;
    }

    public String getBlockVolumeGroupSnapshotName() {
        return blockVolumeGroupSnapshotName;
    }

    public void setBlockVolumeGroupSnapshotName(String blockVolumeGroupSnapshotName) {
        this.blockVolumeGroupSnapshotName = blockVolumeGroupSnapshotName;
    }
}
